Subject: Qume drives

From: Barry Peterson <[email-masked]>
Date: Thu, 20 Jun 2013 13:30:34 -0400

I have two Qume 142 360KB drives that tested good one at time.

BUT, I seem to remember that they draw too much current to run together in
a stock PEB.

SO, I will give them to anyone willing to try to make them work for only my
shipping cost.

The last pair of drives I sent via priority mail cost $12.35 and that's
what I'd like via PayPal.